<script setup lang="ts">
import { useStockStore } from '@/stores/stock'

const stockStore = useStockStore()
</script>

<template>
  <v-dialog v-model="stockStore.dialogDelete" max-width="500px">
    <v-toolbar>Delete Stock</v-toolbar>
    <v-card>
      <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn variant="text" @click="stockStore.closeDelete">Cancel</v-btn>
        <v-btn
          variant="text"
          @click="stockStore.deleteItemConfirm(stockStore.editedStock)"
          >OK</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>

.v-sheet,
.v-card {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
}

.v-btn {
  background-color: #ffcb5e;
  border-radius: 30px;
  padding: 8px 16px;
}
</style>
